| Apache Ignite C++

Public Types | Public Member Functions | Friends | List of all members
ignite::Future< void > Class Template Reference

Specialization for void type. More...

`#include <future.h>`

## Public Types
typedef void | ValueType
| Template value type.

## Public Member Functions
| Future (const Future< ValueType > &src)
| Copy constructor. More...
Future & | operator= (const Future< ValueType > &other)
| Assignment operator. More...
void | Wait () const
| Wait for value to be set. More...
bool | WaitFor (int32_t msTimeout) const
| Wait for value to be set for specified time. More...
void | GetValue () const
| Wait for operation complition or error. More...
void | Cancel ()
| Cancel related operation.
bool | IsReady ()
| Check if the future ready.

## Friends
class | common::Promise< void >

## Detailed Description

### template<>
class ignite::Future< void >

Specialization for void type.

## Constructor & Destructor Documentation

## ◆ Future()

ignite::Future< void >::Future | ( | const Future< ValueType > & | src | ) |
| inline

Copy constructor.

Parameters

  src | Instance to copy.

## Member Function Documentation

## ◆ GetValue()

void ignite::Future< void >::GetValue | ( |  | ) | const
| inline

Wait for operation complition or error.

Active thread will be blocked until value or error will be set.

Exceptions

  IgniteError | if error has been set.

## ◆ operator=()

Future& ignite::Future< void >::operator= | ( | const Future< ValueType > & | other | ) |
| inline

Assignment operator.

Parameters

  other | Other instance.

Returns
  *this.

## ◆ Wait()

void ignite::Future< void >::Wait | ( |  | ) | const
| inline

Wait for value to be set.

Active thread will be blocked until value or error will be set.

## ◆ WaitFor()

bool ignite::Future< void >::WaitFor | ( | int32_t | msTimeout | ) | const
| inline

Wait for value to be set for specified time.

Active thread will be blocked until value or error will be set or timeout will end.

Parameters

  msTimeout | Timeout in milliseconds.

Returns
  True if the object has been triggered and false in case of timeout.

The documentation for this class was generated from the following file:

- future.h